﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ARGNSContainerServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_CNTMSoap", Namespace="ARGNS_CNTM")]
    public partial class ARGNS_CNTM : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private System.Threading.SendOrPostCallback RemoveOperationCompleted;
        
        private System.Threading.SendOrPostCallback CancelOperationCompleted;
        
        private System.Threading.SendOrPostCallback CloseOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_CNTM() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ARGNSModelServiceWeb_ARGNS_MODEL;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        public event RemoveCompletedEventHandler RemoveCompleted;
        
        /// <remarks/>
        public event CancelCompletedEventHandler CancelCompleted;
        
        /// <remarks/>
        public event CloseCompletedEventHandler CloseCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/Add", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsContainerParams")]
        public ArgnsContainerParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainer ArgnsContainer) {
            object[] results = this.Invoke("Add", new object[] {
                        ArgnsContainer});
            return ((ArgnsContainerParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsContainer ArgnsContainer) {
            this.AddAsync(ArgnsContainer, null);
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsContainer ArgnsContainer, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ArgnsContainer}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/Update", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainer ArgnsContainer) {
            this.Invoke("Update", new object[] {
                        ArgnsContainer});
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsContainer ArgnsContainer) {
            this.UpdateAsync(ArgnsContainer, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsContainer ArgnsContainer, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ArgnsContainer}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/GetByParams", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsContainer")]
        public ArgnsContainer GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainerParams ArgnsContainerParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ArgnsContainerParams});
            return ((ArgnsContainer)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsContainerParams ArgnsContainerParams) {
            this.GetByParamsAsync(ArgnsContainerParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsContainerParams ArgnsContainerParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ArgnsContainerParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/GetList", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ArgnsContainersParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ArgnsContainerParams", IsNullable=false)]
        public ArgnsContainersParamsArgnsContainerParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ArgnsContainersParamsArgnsContainerParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/InvokeMethod", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainer ArgnsContainer) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsContainer});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsContainer ArgnsContainer) {
            this.InvokeMethodAsync(InvokeParams, ArgnsContainer, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsContainer ArgnsContainer, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsContainer}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/Remove", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Remove([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainerParams ArgnsContainerParams) {
            this.Invoke("Remove", new object[] {
                        ArgnsContainerParams});
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsContainerParams ArgnsContainerParams) {
            this.RemoveAsync(ArgnsContainerParams, null);
        }
        
        /// <remarks/>
        public void RemoveAsync(ArgnsContainerParams ArgnsContainerParams, object userState) {
            if ((this.RemoveOperationCompleted == null)) {
                this.RemoveOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRemoveOperationCompleted);
            }
            this.InvokeAsync("Remove", new object[] {
                        ArgnsContainerParams}, this.RemoveOperationCompleted, userState);
        }
        
        private void OnRemoveOperationCompleted(object arg) {
            if ((this.RemoveCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RemoveCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/Cancel", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Cancel([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainerParams ArgnsContainerParams) {
            this.Invoke("Cancel", new object[] {
                        ArgnsContainerParams});
        }
        
        /// <remarks/>
        public void CancelAsync(ArgnsContainerParams ArgnsContainerParams) {
            this.CancelAsync(ArgnsContainerParams, null);
        }
        
        /// <remarks/>
        public void CancelAsync(ArgnsContainerParams ArgnsContainerParams, object userState) {
            if ((this.CancelOperationCompleted == null)) {
                this.CancelOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCancelOperationCompleted);
            }
            this.InvokeAsync("Cancel", new object[] {
                        ArgnsContainerParams}, this.CancelOperationCompleted, userState);
        }
        
        private void OnCancelOperationCompleted(object arg) {
            if ((this.CancelCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CancelCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_CNTM/Close", RequestNamespace="ARGNS_CNTM", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Close([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsContainerParams ArgnsContainerParams) {
            this.Invoke("Close", new object[] {
                        ArgnsContainerParams});
        }
        
        /// <remarks/>
        public void CloseAsync(ArgnsContainerParams ArgnsContainerParams) {
            this.CloseAsync(ArgnsContainerParams, null);
        }
        
        /// <remarks/>
        public void CloseAsync(ArgnsContainerParams ArgnsContainerParams, object userState) {
            if ((this.CloseOperationCompleted == null)) {
                this.CloseOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCloseOperationCompleted);
            }
            this.InvokeAsync("Close", new object[] {
                        ArgnsContainerParams}, this.CloseOperationCompleted, userState);
        }
        
        private void OnCloseOperationCompleted(object arg) {
            if ((this.CloseCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CloseCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public void CancelAsync1(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_CNTM,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainer {
        
        private long docNumField;
        
        private bool docNumFieldSpecified;
        
        private long periodField;
        
        private bool periodFieldSpecified;
        
        private long instanceField;
        
        private bool instanceFieldSpecified;
        
        private long seriesField;
        
        private bool seriesFieldSpecified;
        
        private string handwrttenField;
        
        private string statusField;
        
        private string requestStatusField;
        
        private string creatorField;
        
        private string remarkField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private string dataSourceField;
        
        private string u_ShipmentField;
        
        private string u_BrokerField;
        
        private string u_StatusField;
        
        private string u_ShipViaField;
        
        private System.DateTime u_ESDField;
        
        private bool u_ESDFieldSpecified;
        
        private System.DateTime u_EDAField;
        
        private bool u_EDAFieldSpecified;
        
        private System.DateTime u_EDWField;
        
        private bool u_EDWFieldSpecified;
        
        private System.DateTime u_ASDField;
        
        private bool u_ASDFieldSpecified;
        
        private System.DateTime u_ADAField;
        
        private bool u_ADAFieldSpecified;
        
        private System.DateTime u_ADWField;
        
        private bool u_ADWFieldSpecified;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private double u_AmountField;
        
        private bool u_AmountFieldSpecified;
        
        private double u_WeightField;
        
        private bool u_WeightFieldSpecified;
        
        private double u_VolumeField;
        
        private bool u_VolumeFieldSpecified;
        
        private double u_CartonField;
        
        private bool u_CartonFieldSpecified;
        
        private string u_POEField;
        
        private string u_UserTxt1Field;
        
        private string u_UserTxt2Field;
        
        private string u_UserTxt3Field;
        
        private string u_UserTxt4Field;
        
        private string u_ObjTypeField;
        
        private ArgnsContainerARGNS_CNTM_LINE[] aRGNS_CNTM_LINECollectionField;
        
        private ArgnsContainerARGNS_CNTM_OPKG[] aRGNS_CNTM_OPKGCollectionField;
        
        private ArgnsContainerARGNS_CNTM_PKG1[] aRGNS_CNTM_PKG1CollectionField;
        
        private ArgnsContainerARGNS_CNTM_FILE[] aRGNS_CNTM_FILECollectionField;
        
        private ArgnsContainerARGNS_CNTM_OCPK[] aRGNS_CNTM_OCPKCollectionField;
        
        private ArgnsContainerARGNS_CNTM_CPK1[] aRGNS_CNTM_CPK1CollectionField;
        
        /// <remarks/>
        public long DocNum {
            get {
                return this.docNumField;
            }
            set {
                this.docNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocNumSpecified {
            get {
                return this.docNumFieldSpecified;
            }
            set {
                this.docNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Period {
            get {
                return this.periodField;
            }
            set {
                this.periodField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PeriodSpecified {
            get {
                return this.periodFieldSpecified;
            }
            set {
                this.periodFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Instance {
            get {
                return this.instanceField;
            }
            set {
                this.instanceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool InstanceSpecified {
            get {
                return this.instanceFieldSpecified;
            }
            set {
                this.instanceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Series {
            get {
                return this.seriesField;
            }
            set {
                this.seriesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SeriesSpecified {
            get {
                return this.seriesFieldSpecified;
            }
            set {
                this.seriesFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Handwrtten {
            get {
                return this.handwrttenField;
            }
            set {
                this.handwrttenField = value;
            }
        }
        
        /// <remarks/>
        public string Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
            }
        }
        
        /// <remarks/>
        public string RequestStatus {
            get {
                return this.requestStatusField;
            }
            set {
                this.requestStatusField = value;
            }
        }
        
        /// <remarks/>
        public string Creator {
            get {
                return this.creatorField;
            }
            set {
                this.creatorField = value;
            }
        }
        
        /// <remarks/>
        public string Remark {
            get {
                return this.remarkField;
            }
            set {
                this.remarkField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        public string U_Shipment {
            get {
                return this.u_ShipmentField;
            }
            set {
                this.u_ShipmentField = value;
            }
        }
        
        /// <remarks/>
        public string U_Broker {
            get {
                return this.u_BrokerField;
            }
            set {
                this.u_BrokerField = value;
            }
        }
        
        /// <remarks/>
        public string U_Status {
            get {
                return this.u_StatusField;
            }
            set {
                this.u_StatusField = value;
            }
        }
        
        /// <remarks/>
        public string U_ShipVia {
            get {
                return this.u_ShipViaField;
            }
            set {
                this.u_ShipViaField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_ESD {
            get {
                return this.u_ESDField;
            }
            set {
                this.u_ESDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ESDSpecified {
            get {
                return this.u_ESDFieldSpecified;
            }
            set {
                this.u_ESDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_EDA {
            get {
                return this.u_EDAField;
            }
            set {
                this.u_EDAField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_EDASpecified {
            get {
                return this.u_EDAFieldSpecified;
            }
            set {
                this.u_EDAFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_EDW {
            get {
                return this.u_EDWField;
            }
            set {
                this.u_EDWField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_EDWSpecified {
            get {
                return this.u_EDWFieldSpecified;
            }
            set {
                this.u_EDWFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_ASD {
            get {
                return this.u_ASDField;
            }
            set {
                this.u_ASDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ASDSpecified {
            get {
                return this.u_ASDFieldSpecified;
            }
            set {
                this.u_ASDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_ADA {
            get {
                return this.u_ADAField;
            }
            set {
                this.u_ADAField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ADASpecified {
            get {
                return this.u_ADAFieldSpecified;
            }
            set {
                this.u_ADAFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_ADW {
            get {
                return this.u_ADWField;
            }
            set {
                this.u_ADWField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ADWSpecified {
            get {
                return this.u_ADWFieldSpecified;
            }
            set {
                this.u_ADWFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Amount {
            get {
                return this.u_AmountField;
            }
            set {
                this.u_AmountField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AmountSpecified {
            get {
                return this.u_AmountFieldSpecified;
            }
            set {
                this.u_AmountFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Weight {
            get {
                return this.u_WeightField;
            }
            set {
                this.u_WeightField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_WeightSpecified {
            get {
                return this.u_WeightFieldSpecified;
            }
            set {
                this.u_WeightFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Volume {
            get {
                return this.u_VolumeField;
            }
            set {
                this.u_VolumeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_VolumeSpecified {
            get {
                return this.u_VolumeFieldSpecified;
            }
            set {
                this.u_VolumeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Carton {
            get {
                return this.u_CartonField;
            }
            set {
                this.u_CartonField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CartonSpecified {
            get {
                return this.u_CartonFieldSpecified;
            }
            set {
                this.u_CartonFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_POE {
            get {
                return this.u_POEField;
            }
            set {
                this.u_POEField = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt1 {
            get {
                return this.u_UserTxt1Field;
            }
            set {
                this.u_UserTxt1Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt2 {
            get {
                return this.u_UserTxt2Field;
            }
            set {
                this.u_UserTxt2Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt3 {
            get {
                return this.u_UserTxt3Field;
            }
            set {
                this.u_UserTxt3Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt4 {
            get {
                return this.u_UserTxt4Field;
            }
            set {
                this.u_UserTxt4Field = value;
            }
        }
        
        /// <remarks/>
        public string U_ObjType {
            get {
                return this.u_ObjTypeField;
            }
            set {
                this.u_ObjTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_LINE", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_LINE[] ARGNS_CNTM_LINECollection {
            get {
                return this.aRGNS_CNTM_LINECollectionField;
            }
            set {
                this.aRGNS_CNTM_LINECollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_OPKG", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_OPKG[] ARGNS_CNTM_OPKGCollection {
            get {
                return this.aRGNS_CNTM_OPKGCollectionField;
            }
            set {
                this.aRGNS_CNTM_OPKGCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_PKG1", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_PKG1[] ARGNS_CNTM_PKG1Collection {
            get {
                return this.aRGNS_CNTM_PKG1CollectionField;
            }
            set {
                this.aRGNS_CNTM_PKG1CollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_FILE", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_FILE[] ARGNS_CNTM_FILECollection {
            get {
                return this.aRGNS_CNTM_FILECollectionField;
            }
            set {
                this.aRGNS_CNTM_FILECollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_OCPK", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_OCPK[] ARGNS_CNTM_OCPKCollection {
            get {
                return this.aRGNS_CNTM_OCPKCollectionField;
            }
            set {
                this.aRGNS_CNTM_OCPKCollectionField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_CNTM_CPK1", IsNullable=false)]
        public ArgnsContainerARGNS_CNTM_CPK1[] ARGNS_CNTM_CPK1Collection {
            get {
                return this.aRGNS_CNTM_CPK1CollectionField;
            }
            set {
                this.aRGNS_CNTM_CPK1CollectionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_LINE {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_BaseEntryField;
        
        private string u_BaseDocNoField;
        
        private long u_BaseLineField;
        
        private bool u_BaseLineFieldSpecified;
        
        private string u_ItemCodeField;
        
        private string u_ItemNameField;
        
        private string u_WhsCodeField;
        
        private string u_UoMField;
        
        private System.DateTime u_ESDField;
        
        private bool u_ESDFieldSpecified;
        
        private System.DateTime u_EDAField;
        
        private bool u_EDAFieldSpecified;
        
        private double u_PriceField;
        
        private bool u_PriceFieldSpecified;
        
        private string u_ObjTypeField;
        
        private string u_LineStatusField;
        
        private string u_CardCodeField;
        
        private string u_CardNameField;
        
        private string u_ARGNS_MODField;
        
        private string u_ARGNS_COLField;
        
        private string u_ARGNS_SIZEField;
        
        private string u_ItemGroupField;
        
        private string u_ARGNS_SEASONField;
        
        private string u_UserTxt1Field;
        
        private string u_UserTxt2Field;
        
        private string u_UserTxt3Field;
        
        private string u_UserTxt4Field;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseEntry {
            get {
                return this.u_BaseEntryField;
            }
            set {
                this.u_BaseEntryField = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseDocNo {
            get {
                return this.u_BaseDocNoField;
            }
            set {
                this.u_BaseDocNoField = value;
            }
        }
        
        /// <remarks/>
        public long U_BaseLine {
            get {
                return this.u_BaseLineField;
            }
            set {
                this.u_BaseLineField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_BaseLineSpecified {
            get {
                return this.u_BaseLineFieldSpecified;
            }
            set {
                this.u_BaseLineFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemName {
            get {
                return this.u_ItemNameField;
            }
            set {
                this.u_ItemNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_WhsCode {
            get {
                return this.u_WhsCodeField;
            }
            set {
                this.u_WhsCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_UoM {
            get {
                return this.u_UoMField;
            }
            set {
                this.u_UoMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_ESD {
            get {
                return this.u_ESDField;
            }
            set {
                this.u_ESDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ESDSpecified {
            get {
                return this.u_ESDFieldSpecified;
            }
            set {
                this.u_ESDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_EDA {
            get {
                return this.u_EDAField;
            }
            set {
                this.u_EDAField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_EDASpecified {
            get {
                return this.u_EDAFieldSpecified;
            }
            set {
                this.u_EDAFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_Price {
            get {
                return this.u_PriceField;
            }
            set {
                this.u_PriceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PriceSpecified {
            get {
                return this.u_PriceFieldSpecified;
            }
            set {
                this.u_PriceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ObjType {
            get {
                return this.u_ObjTypeField;
            }
            set {
                this.u_ObjTypeField = value;
            }
        }
        
        /// <remarks/>
        public string U_LineStatus {
            get {
                return this.u_LineStatusField;
            }
            set {
                this.u_LineStatusField = value;
            }
        }
        
        /// <remarks/>
        public string U_CardCode {
            get {
                return this.u_CardCodeField;
            }
            set {
                this.u_CardCodeField = value;
            }
        }
        
        /// <remarks/>
        public string U_CardName {
            get {
                return this.u_CardNameField;
            }
            set {
                this.u_CardNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_MOD {
            get {
                return this.u_ARGNS_MODField;
            }
            set {
                this.u_ARGNS_MODField = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_COL {
            get {
                return this.u_ARGNS_COLField;
            }
            set {
                this.u_ARGNS_COLField = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_SIZE {
            get {
                return this.u_ARGNS_SIZEField;
            }
            set {
                this.u_ARGNS_SIZEField = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemGroup {
            get {
                return this.u_ItemGroupField;
            }
            set {
                this.u_ItemGroupField = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_SEASON {
            get {
                return this.u_ARGNS_SEASONField;
            }
            set {
                this.u_ARGNS_SEASONField = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt1 {
            get {
                return this.u_UserTxt1Field;
            }
            set {
                this.u_UserTxt1Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt2 {
            get {
                return this.u_UserTxt2Field;
            }
            set {
                this.u_UserTxt2Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt3 {
            get {
                return this.u_UserTxt3Field;
            }
            set {
                this.u_UserTxt3Field = value;
            }
        }
        
        /// <remarks/>
        public string U_UserTxt4 {
            get {
                return this.u_UserTxt4Field;
            }
            set {
                this.u_UserTxt4Field = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_OPKG {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long u_PackageNumField;
        
        private bool u_PackageNumFieldSpecified;
        
        private string u_PackageTypField;
        
        private double u_WeightField;
        
        private bool u_WeightFieldSpecified;
        
        private string u_WeightUnitField;
        
        private string u_ARGNS_UCC128Field;
        
        private string u_ARGNS_TRACKNField;
        
        private long u_CntnerNumField;
        
        private bool u_CntnerNumFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_PackageNum {
            get {
                return this.u_PackageNumField;
            }
            set {
                this.u_PackageNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PackageNumSpecified {
            get {
                return this.u_PackageNumFieldSpecified;
            }
            set {
                this.u_PackageNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_PackageTyp {
            get {
                return this.u_PackageTypField;
            }
            set {
                this.u_PackageTypField = value;
            }
        }
        
        /// <remarks/>
        public double U_Weight {
            get {
                return this.u_WeightField;
            }
            set {
                this.u_WeightField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_WeightSpecified {
            get {
                return this.u_WeightFieldSpecified;
            }
            set {
                this.u_WeightFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_WeightUnit {
            get {
                return this.u_WeightUnitField;
            }
            set {
                this.u_WeightUnitField = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_UCC128 {
            get {
                return this.u_ARGNS_UCC128Field;
            }
            set {
                this.u_ARGNS_UCC128Field = value;
            }
        }
        
        /// <remarks/>
        public string U_ARGNS_TRACKN {
            get {
                return this.u_ARGNS_TRACKNField;
            }
            set {
                this.u_ARGNS_TRACKNField = value;
            }
        }
        
        /// <remarks/>
        public long U_CntnerNum {
            get {
                return this.u_CntnerNumField;
            }
            set {
                this.u_CntnerNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CntnerNumSpecified {
            get {
                return this.u_CntnerNumFieldSpecified;
            }
            set {
                this.u_CntnerNumFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_PKG1 {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long u_PackageNumField;
        
        private bool u_PackageNumFieldSpecified;
        
        private string u_ItemCodeField;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private long u_UomEntryField;
        
        private bool u_UomEntryFieldSpecified;
        
        private string u_unitMsrField;
        
        private double u_NumPerMsrField;
        
        private bool u_NumPerMsrFieldSpecified;
        
        private string u_BaseEntryField;
        
        private string u_BaseRefField;
        
        private string u_BaseLineField;
        
        private long u_CntnerNumField;
        
        private bool u_CntnerNumFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_PackageNum {
            get {
                return this.u_PackageNumField;
            }
            set {
                this.u_PackageNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_PackageNumSpecified {
            get {
                return this.u_PackageNumFieldSpecified;
            }
            set {
                this.u_PackageNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_UomEntry {
            get {
                return this.u_UomEntryField;
            }
            set {
                this.u_UomEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_UomEntrySpecified {
            get {
                return this.u_UomEntryFieldSpecified;
            }
            set {
                this.u_UomEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_unitMsr {
            get {
                return this.u_unitMsrField;
            }
            set {
                this.u_unitMsrField = value;
            }
        }
        
        /// <remarks/>
        public double U_NumPerMsr {
            get {
                return this.u_NumPerMsrField;
            }
            set {
                this.u_NumPerMsrField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_NumPerMsrSpecified {
            get {
                return this.u_NumPerMsrFieldSpecified;
            }
            set {
                this.u_NumPerMsrFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseEntry {
            get {
                return this.u_BaseEntryField;
            }
            set {
                this.u_BaseEntryField = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseRef {
            get {
                return this.u_BaseRefField;
            }
            set {
                this.u_BaseRefField = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseLine {
            get {
                return this.u_BaseLineField;
            }
            set {
                this.u_BaseLineField = value;
            }
        }
        
        /// <remarks/>
        public long U_CntnerNum {
            get {
                return this.u_CntnerNumField;
            }
            set {
                this.u_CntnerNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CntnerNumSpecified {
            get {
                return this.u_CntnerNumFieldSpecified;
            }
            set {
                this.u_CntnerNumFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_FILE {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_FileField;
        
        private string u_FTypeField;
        
        private string u_PathField;
        
        private string u_SrcPathField;
        
        private string u_StatusField;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_File {
            get {
                return this.u_FileField;
            }
            set {
                this.u_FileField = value;
            }
        }
        
        /// <remarks/>
        public string U_FType {
            get {
                return this.u_FTypeField;
            }
            set {
                this.u_FTypeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Path {
            get {
                return this.u_PathField;
            }
            set {
                this.u_PathField = value;
            }
        }
        
        /// <remarks/>
        public string U_SrcPath {
            get {
                return this.u_SrcPathField;
            }
            set {
                this.u_SrcPathField = value;
            }
        }
        
        /// <remarks/>
        public string U_Status {
            get {
                return this.u_StatusField;
            }
            set {
                this.u_StatusField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_OCPK {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long u_CntnerNumField;
        
        private bool u_CntnerNumFieldSpecified;
        
        private string u_CntnerTypField;
        
        private double u_WeightField;
        
        private bool u_WeightFieldSpecified;
        
        private long u_WeightUnitField;
        
        private bool u_WeightUnitFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_CntnerNum {
            get {
                return this.u_CntnerNumField;
            }
            set {
                this.u_CntnerNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CntnerNumSpecified {
            get {
                return this.u_CntnerNumFieldSpecified;
            }
            set {
                this.u_CntnerNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CntnerTyp {
            get {
                return this.u_CntnerTypField;
            }
            set {
                this.u_CntnerTypField = value;
            }
        }
        
        /// <remarks/>
        public double U_Weight {
            get {
                return this.u_WeightField;
            }
            set {
                this.u_WeightField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_WeightSpecified {
            get {
                return this.u_WeightFieldSpecified;
            }
            set {
                this.u_WeightFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_WeightUnit {
            get {
                return this.u_WeightUnitField;
            }
            set {
                this.u_WeightUnitField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_WeightUnitSpecified {
            get {
                return this.u_WeightUnitFieldSpecified;
            }
            set {
                this.u_WeightUnitFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerARGNS_CNTM_CPK1 {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private long visOrderField;
        
        private bool visOrderFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long u_CntnerNumField;
        
        private bool u_CntnerNumFieldSpecified;
        
        private string u_ItemCodeField;
        
        private double u_QuantityField;
        
        private bool u_QuantityFieldSpecified;
        
        private long u_UomEntryField;
        
        private bool u_UomEntryFieldSpecified;
        
        private string u_unitMsrField;
        
        private double u_NumPerMsrField;
        
        private bool u_NumPerMsrFieldSpecified;
        
        private string u_BaseEntryField;
        
        private string u_BaseRefField;
        
        private string u_BaseLineField;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long VisOrder {
            get {
                return this.visOrderField;
            }
            set {
                this.visOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool VisOrderSpecified {
            get {
                return this.visOrderFieldSpecified;
            }
            set {
                this.visOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_CntnerNum {
            get {
                return this.u_CntnerNumField;
            }
            set {
                this.u_CntnerNumField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CntnerNumSpecified {
            get {
                return this.u_CntnerNumFieldSpecified;
            }
            set {
                this.u_CntnerNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ItemCode {
            get {
                return this.u_ItemCodeField;
            }
            set {
                this.u_ItemCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_Quantity {
            get {
                return this.u_QuantityField;
            }
            set {
                this.u_QuantityField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuantitySpecified {
            get {
                return this.u_QuantityFieldSpecified;
            }
            set {
                this.u_QuantityFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_UomEntry {
            get {
                return this.u_UomEntryField;
            }
            set {
                this.u_UomEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_UomEntrySpecified {
            get {
                return this.u_UomEntryFieldSpecified;
            }
            set {
                this.u_UomEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_unitMsr {
            get {
                return this.u_unitMsrField;
            }
            set {
                this.u_unitMsrField = value;
            }
        }
        
        /// <remarks/>
        public double U_NumPerMsr {
            get {
                return this.u_NumPerMsrField;
            }
            set {
                this.u_NumPerMsrField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_NumPerMsrSpecified {
            get {
                return this.u_NumPerMsrFieldSpecified;
            }
            set {
                this.u_NumPerMsrFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseEntry {
            get {
                return this.u_BaseEntryField;
            }
            set {
                this.u_BaseEntryField = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseRef {
            get {
                return this.u_BaseRefField;
            }
            set {
                this.u_BaseRefField = value;
            }
        }
        
        /// <remarks/>
        public string U_BaseLine {
            get {
                return this.u_BaseLineField;
            }
            set {
                this.u_BaseLineField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainerParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsContainersParamsArgnsContainerParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsContainerParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsContainerParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsContainer Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsContainer)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsContainersParamsArgnsContainerParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsContainersParamsArgnsContainerParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void RemoveCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void CancelCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void CloseCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591